summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Kaiser <nikai@nikai.net>2010-08-09 16:34:17 +0200
committerNicolas Kaiser <nikai@nikai.net>2010-08-09 16:34:17 +0200
commit0f0ce11d5ef63908a380b258e67f125441dc51a4 (patch)
tree3a55b9da0bb7890c3f44f4745ccb18163cfc62d6 /games-simulation/vegastrike/vegastrike-9999.ebuild
parentvs: added server USE flag, and build targets (diff)
downloadnikai-0f0ce11d5ef63908a380b258e67f125441dc51a4.tar.gz
nikai-0f0ce11d5ef63908a380b258e67f125441dc51a4.tar.bz2
nikai-0f0ce11d5ef63908a380b258e67f125441dc51a4.zip
vs: add mesher USE flag
Diffstat (limited to 'games-simulation/vegastrike/vegastrike-9999.ebuild')
-rw-r--r--games-simulation/vegastrike/vegastrike-9999.ebuild27
1 files changed, 17 insertions, 10 deletions
diff --git a/games-simulation/vegastrike/vegastrike-9999.ebuild b/games-simulation/vegastrike/vegastrike-9999.ebuild
index 476a11b..a2c2377 100644
--- a/games-simulation/vegastrike/vegastrike-9999.ebuild
+++ b/games-simulation/vegastrike/vegastrike-9999.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="http://vegastrike.sourceforge.net/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="boost ffmpeg gtk threads server debug"
+IUSE="boost ffmpeg gtk threads mesher server debug"
# FIXME: check dependencies
RDEPEND="
@@ -35,6 +35,7 @@ RDEPEND="
virtual/glu
gtk? ( x11-libs/gtk+ )
games-simulation/vegastrike-data"
+# dev-games/ogre
DEPEND="${RDEPEND}
>=sys-devel/autoconf-2.58"
@@ -105,11 +106,7 @@ src_compile() {
CMAKE_BUILD_TYPE="Release"
fi
- if use server; then
- cmake-utils_src_configure vegastrike vegaserver vssetup
- else
- cmake-utils_src_configure vegastrike vssetup
- fi
+ cmake-utils_src_configure
if use threads; then
sed -i \
@@ -118,9 +115,17 @@ src_compile() {
fi
if use server; then
- cmake-utils_src_make vegastrike vegaserver vssetup
+ if use mesher; then
+ cmake-utils_src_make vssetup vegastrike vegaserver mesh_tool
+ else
+ cmake-utils_src_make vssetup vegastrike vegaserver
+ fi
else
- cmake-utils_src_make vegastrike vssetup
+ if use mesher; then
+ cmake-utils_src_make vssetup vegastrike mesh_tool
+ else
+ cmake-utils_src_make vssetup vegastrike
+ fi
fi
}
@@ -150,8 +155,10 @@ EOF
dogamesbin vegastrike_build/vegaserver \
|| die "Creation of vegaserver failed"
fi
-# dogamesbin vegastrike/mesher \
-# || die "Creation of mesher failed"
+ if use mesher; then
+ dogamesbin vegastrike_build/objconv/mesh_tool \
+ || die "Creation of mesher failed"
+ fi
# cmake-utils_src_install